import { jsx } from "react/jsx-runtime";
import { Pulse as Pulse$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pulse = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Pulse", ...props, children: /* @__PURE__ */ jsx(Pulse$1, { weight: variant }) });
  }
);
Pulse.displayName = "Pulse";
Object.assign(Pulse, { isGdsIcon: true });
export {
  Pulse
};
